"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.H4 = exports.H3 = exports.H2 = exports.H1 = exports.Heading = exports["default"] = exports.HEADING_ELEMENT = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _jsxRuntime = require("react/jsx-runtime");

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Base = _interopRequireDefault(require("../Base.core"));

require("./Heading.scss");

/* eslint react/prop-types: 0 */
var HEADING_ELEMENT = {
  h1: {
    elementType: 'h1',
    className: function className(cn, mode) {
      var _cx;

      return (0, _classnames["default"])('sui-studio-doc-hseading', 'sui-studio-doc-heading-h1', (_cx = {}, _cx["sui-studio-doc-heading-mode-" + mode] = mode, _cx), cn);
    }
  },
  h2: {
    elementType: 'h2',
    className: function className(cn, mode) {
      var _cx2;

      return (0, _classnames["default"])('sui-studio-doc-heading', 'sui-studio-doc-heading-h2', (_cx2 = {}, _cx2["sui-studio-doc-heading-mode-" + mode] = mode, _cx2), cn);
    }
  },
  h3: {
    elementType: 'h3',
    className: function className(cn, mode) {
      var _cx3;

      return (0, _classnames["default"])('sui-studio-doc-heading', 'sui-studio-doc-heading-h3', (_cx3 = {}, _cx3["sui-studio-doc-heading-mode-" + mode] = mode, _cx3), cn);
    }
  },
  h4: {
    elementType: 'h4',
    className: function className(cn, mode) {
      var _cx4;

      return (0, _classnames["default"])('sui-studio-doc-heading', 'sui-studio-doc-heading-h4', (_cx4 = {}, _cx4["sui-studio-doc-heading-mode-" + mode] = mode, _cx4), cn);
    }
  }
};
/**
 * Create HTML tag titles.
 */

exports.HEADING_ELEMENT = HEADING_ELEMENT;

var Heading = function Heading(_ref) {
  var elementType = _ref.elementType,
      children = _ref.children,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["elementType", "children"]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Base["default"], (0, _extends2["default"])({}, props, {
    elementType: elementType,
    children: children
  }));
};

exports.Heading = Heading;
Heading.displayName = 'Heading';
Heading.defaultProps = {};

/**
 * HTML `h1` element DOC styled
 */
var H1 = function H1(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      _ref2$elementType = _ref2.elementType,
      elementType = _ref2$elementType === void 0 ? HEADING_ELEMENT.h1.elementType : _ref2$elementType,
      mode = _ref2.mode,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref2, ["children", "className", "elementType", "mode"]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Heading, (0, _extends2["default"])({}, props, {
    className: HEADING_ELEMENT.h1.className(className, mode),
    elementType: elementType,
    mode: mode,
    children: children
  }));
};

exports.H1 = H1;
H1.displayName = 'H1';
H1.defaultProps = {};
/**
 * HTML `h1` element DOC styled
 */

var H2 = function H2(_ref3) {
  var children = _ref3.children,
      className = _ref3.className,
      _ref3$elementType = _ref3.elementType,
      elementType = _ref3$elementType === void 0 ? HEADING_ELEMENT.h2.elementType : _ref3$elementType,
      mode = _ref3.mode,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref3, ["children", "className", "elementType", "mode"]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Heading, (0, _extends2["default"])({}, props, {
    className: HEADING_ELEMENT.h2.className(className, mode),
    elementType: elementType,
    mode: mode,
    children: children
  }));
};

exports.H2 = H2;
H2.displayName = 'H2';
H2.defaultProps = {};
/**
 * HTML `h3` element DOC styled
 */

var H3 = function H3(_ref4) {
  var children = _ref4.children,
      className = _ref4.className,
      _ref4$elementType = _ref4.elementType,
      elementType = _ref4$elementType === void 0 ? HEADING_ELEMENT.h3.elementType : _ref4$elementType,
      mode = _ref4.mode,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref4, ["children", "className", "elementType", "mode"]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Heading, (0, _extends2["default"])({}, props, {
    className: HEADING_ELEMENT.h3.className(className, mode),
    elementType: elementType,
    mode: mode,
    children: children
  }));
};

exports.H3 = H3;
H3.displayName = 'H3';
H3.defaultProps = {};
/**
 * HTML `h4` element DOC styled
 */

var H4 = function H4(_ref5) {
  var children = _ref5.children,
      className = _ref5.className,
      _ref5$elementType = _ref5.elementType,
      elementType = _ref5$elementType === void 0 ? HEADING_ELEMENT.h4.elementType : _ref5$elementType,
      mode = _ref5.mode,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref5, ["children", "className", "elementType", "mode"]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Heading, (0, _extends2["default"])({}, props, {
    className: HEADING_ELEMENT.h4.className(className, mode),
    elementType: elementType,
    mode: mode,
    children: children
  }));
};

exports.H4 = H4;
H4.displayName = 'H4';
H4.defaultProps = {};
var _default = Heading;
exports["default"] = _default;